Name:           maven-plugin-bundle
Version:        2.0.0
Release:        12%{?dist}
Summary:        Maven Bundle Plugin

Group:          Development/Tools
License:        ASL 2.0
URL:            http://felix.apache.org
Source0:        http://www.apache.org/dist/felix/maven-bundle-plugin-2.0.0-project.tar.gz
# Apply the following patch for newer bndlibs
Patch0:         %{name}-BundlePlugin.patch
Patch1:         %{name}-ManifestPlugin.patch
Patch2:         %{name}-pom.patch
BuildRequires:  aqute-bndlib >= 0:0.0.311
BuildRequires:  plexus-utils >= 0:1.4.7
BuildRequires:  felix-osgi-core >= 0:1.0.0
BuildRequires:  felix-osgi-obr >= 0:1.0.1
BuildRequires:  kxml2 >= 0:2.2.2
BuildRequires:  maven-shared-dependency-tree >= 1.1
BuildRequires:  maven-wagon >= 1.0-0.2.b2
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven-surefire-plugin >= 2.3
BuildRequires:  maven-surefire-provider-junit4 >= 2.3
BuildRequires:  maven-doxia-sitetools
BuildRequires:  felix-parent
# XXX: 1.0-alpha-7
BuildRequires: plexus-archiver >= 0:1.0
# XXX: 1.0-alpha-9-stable-1
BuildRequires: plexus-containers-container-default >= 0:1.0
Requires: aqute-bndlib >= 0:0.0.311
Requires: plexus-utils >= 0:1.4.5
Requires: felix-osgi-core >= 0:1.0.0
Requires: felix-osgi-obr >= 0:1.0.1
Requires: kxml2 >= 0:2.2.2
Requires: maven2
Requires: maven-shared-archiver
Requires: maven-shared-dependency-tree
Requires: maven-shared-osgi
Requires: maven-wagon
# XXX: 1.0-alpha-7
Requires: plexus-archiver >= 0:1.0
# XXX: 1.0-alpha-9-stable-1
Requires: plexus-containers-container-default >= 0:1.0
Requires: felix-parent

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch


%description
Provides a maven plugin that supports creating an OSGi bundle
from the contents of the compilation classpath along with its
resources and dependencies. Plus a zillion other features.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n maven-bundle-plugin-%{version}
%patch1 -p0 -b .sav1
%patch2 -p0 -b .sav2

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
%{_bindir}/mvn-jpp -e -Dmaven.repo.local=${MAVEN_REPO_LOCAL} package javadoc:aggregate

%install
rm -rf %{buildroot}

# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -p -m 644 target/maven-bundle-plugin-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

%add_to_maven_depmap org.apache.felix maven-bundle-plugin %{version} JPP %{name}

# poms
install -d -m 755 %{buildroot}%{_datadir}/maven2/poms
install -pm 644 pom.xml \
    %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Wed Jul 13 2011 David Walluck <dwalluck@redhat.com> 0:2.0.0-12
- fix Requires
- fix install

* Fri Jun 17 2011 Ralph Apel <r.apel@r-apel.de> 0:2.0.0-11
- Relax felix-osgi-obr (B)R

* Thu Jun 16 2011 Ralph Apel <r.apel@r-apel.de> 0:2.0.0-10
- Keep maven-shared-osgi as run time dep, drop as BR

* Tue Jun 14 2011 Ralph Apel <r.apel@r-apel.de> 0:2.0.0-9
- adapt to current dep set

* Thu Dec 23 2010 David Walluck <dwalluck@redhat.com> 0:2.0.0-8
- adapt to JPackage

* Wed Dec 15 2010 Alexander Kurtakov <akurtako@redhat.com> 2.0.0-7
- BR/R felix-parent.

* Thu Sep 9 2010 Alexander Kurtakov <akurtako@redhat.com> 2.0.0-5
- Fix BuildRequires.

* Fri Sep 18 2009 Alexander Kurtakov <akurtako@redhat.com> 2.0.0-4
- Add missing Requires.

* Wed Sep 9 2009 Alexander Kurtakov <akurtako@redhat.com> 2.0.0-3
- BR doxia-sitetools.

* Mon Sep 7 2009 Alexander Kurtakov <akurtako@redhat.com> 2.0.0-2
- Fix BR/Rs.

* Thu Sep 3 2009 Alexander Kurtakov <akurtako@redhat.com> 2.0.0-1
- Initial import.
